com.hazelcast.jet.kafka

## Class KafkaProcessors

- java.lang.Object
- - com.hazelcast.jet.kafka.KafkaProcessors

-     public final class KafkaProcessors
      extends Object

  Static utility class with factories of Apache Kafka source and sink processors.
  Since:
    3.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V,T> ProcessorMetaSupplier` | `streamKafkaP(Properties properties, FunctionEx<? super org.apache.kafka.clients.consumer.ConsumerRecord<K,V>,? extends T> projectionFn, EventTimePolicy<? super T> eventTimePolicy, String... topics)` Returns a supplier of processors for `KafkaSources.kafka(Properties, FunctionEx, String...)`.
    `static <T,K,V> ProcessorMetaSupplier` | `writeKafkaP(Properties properties, FunctionEx<? super T,? extends org.apache.kafka.clients.producer.ProducerRecord<K,V>> toRecordFn)` Returns a supplier of processors for `KafkaSinks.kafka(Properties, FunctionEx)`.
    `static <T,K,V> ProcessorMetaSupplier` | `writeKafkaP(Properties properties, String topic, FunctionEx<? super T,? extends K> extractKeyFn, FunctionEx<? super T,? extends V> extractValueFn)` Returns a supplier of processors for `KafkaSinks.kafka(Properties, String, FunctionEx, FunctionEx)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### streamKafkaP

          public static <K,V,T> ProcessorMetaSupplier streamKafkaP(@Nonnull
                                                                   Properties properties,
                                                                   @Nonnull
                                                                   FunctionEx<? super org.apache.kafka.clients.consumer.ConsumerRecord<K,V>,? extends T> projectionFn,
                                                                   @Nonnull
                                                                   EventTimePolicy<? super T> eventTimePolicy,
                                                                   @Nonnull
                                                                   String... topics)

      Returns a supplier of processors for `KafkaSources.kafka(Properties, FunctionEx, String...)`.

    - #### writeKafkaP

          public static <T,K,V> ProcessorMetaSupplier writeKafkaP(@Nonnull
                                                                  Properties properties,
                                                                  @Nonnull
                                                                  String topic,
                                                                  @Nonnull
                                                                  FunctionEx<? super T,? extends K> extractKeyFn,
                                                                  @Nonnull
                                                                  FunctionEx<? super T,? extends V> extractValueFn)

      Returns a supplier of processors for `KafkaSinks.kafka(Properties, String, FunctionEx, FunctionEx)`.

    - #### writeKafkaP

          public static <T,K,V> ProcessorMetaSupplier writeKafkaP(@Nonnull
                                                                  Properties properties,
                                                                  @Nonnull
                                                                  FunctionEx<? super T,? extends org.apache.kafka.clients.producer.ProducerRecord<K,V>> toRecordFn)

      Returns a supplier of processors for `KafkaSinks.kafka(Properties, FunctionEx)`.

Copyright © 2019. All rights reserved.